# to cache both npm modules and Cypress binary we use environment variables
# to point at the folders we can list as paths in "cache" job settings
variables:
  npm_config_cache: "$CI_PROJECT_DIR/.npm"
  CYPRESS_CACHE_FOLDER: "$CI_PROJECT_DIR/cache/Cypress"

# cache using branch name
# https://gitlab.com/help/ci/caching/index.md
cache:
  key: ${CI_COMMIT_REF_SLUG}
  paths:
    - .npm
    - cache/Cypress

test:
  image: cypress/base:12
  stage: test
  script:
    - npm ci
    # make sure Cypress can run
    - npm run test
  artifacts:
    paths:
      - cypress/videos
      - cypress/screenshots
    expire_in: 1 day
